<?

function backend_rrd($options,$result) {

    $ret = -1;
    
    $filename = $GLOBALS["rrd_real_path"]."/interface-".$options["interface_id"].".rrd";

    $type_info = interface_get_type_info($options["interface_id"]);

    //RRD File Creation
    if ($type_info["rrd_mode"]==1)  //one file
	if (file_exists($filename)==FALSE) 
	    $ret = rrdtool_create_file($filename,$type_info["rrd_structure_def"],$type_info["rrd_structure_rra"],
		$type_info["rrd_structure_res"],$type_info["rrd_structure_step"]);

    if ($type_info["rrd_mode"]==2) { //multiple files
	$rrd_struct = explode (" ",$type_info["rrd_structure_def"]);
	foreach ($rrd_struct as $dsn=>$data) {
	    $filename_ds = str_replace(".rrd","-$dsn.rrd",$filename);
	    $aux = explode(":",$data);
	    $aux[1]="data";

	    if (file_exists($filename_ds)==FALSE)
		$ret = rrdtool_create_file($filename_ds,join(":",$aux),$type_info["rrd_structure_rra"],
		    $type_info["rrd_structure_res"],$type_info["rrd_structure_step"]);
	}
    }

    $dss = interface_parse_rrd_structure ($type_info["rrd_structure_def"]);
    $num_ds = count($dss);

    if ( $ret == 0 ) {
        $err = rrdtool_error();
        logger( "RRD error: $err",0);
	return 0;
    } else { 
	// RRD File update 
	
	$output = array();
	
	if ($options["backend_parameters"]=="*") { //ALL DS's
	    $poller_buffer = $GLOBALS["session_vars"]["poller_buffer"]; //get data from the poller buffer 

	    $rrd_options[0] = "N";

	    foreach ($dss as $ds_name=>$ds_number) 
		$rrd_options[$ds_number+1] = $poller_buffer["$ds_name-".$options["interface_id"]];

	} else { //only one DS (it might not work right)
	    sleep(1);
	    $rrd_options[0] = "N";
	    for ($i = 1; $i < $num_ds; $i++) $rrd_options[$i]="U";
	    $rrd_options[$options["backend_parameters"]] = $result;
	}

	//FIXME this should be NaN
	for ($i = 1; $i < $num_ds+1; $i++) if ($rrd_options[$i]=="") $rrd_options[$i]="0"; //put others on 0

	if ($type_info["rrd_mode"]==1) { //all DS's on the same file
	    $ret = rrdtool_update($filename,join (":",$rrd_options));
	    $output[] = "ALL=".join (":",$rrd_options);
	}

	if ($type_info["rrd_mode"]==2) { //only one DS by file
	    $ds_names = array_keys($dss);
	    
	    for ($dsn = 0; $dsn < $num_ds; $dsn++) { 
	        $filename_ds = str_replace(".rrd","-$dsn.rrd",$filename);
		$ret = rrdtool_update($filename_ds,$rrd_options[0].":".$rrd_options[$dsn+1]);
		$output[] = $ds_names[$dsn].":".$rrd_options[$dsn+1];
	    }
	    unset ($ds_names);
	}
	
	if ( $ret == 0 ) logger( "RRD error: ".rrdtool_error(),0);

	return join(" - ",$output);
    }
}

?>
