<?
/* SYSLOG Integrator
 * Copyright (C) <2002> Javier Szyszlican <javier@szysz.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
    // Match, and parse Syslog Messages, then put them in the events table

    $query_syslog = "select id, date_logged as date, host, message from syslog where analized = 0 order by id asc";
    $result_syslog = db_query ($query_syslog) or die ("Query failed - SY2 - ".db_error());

    logger( "SYSLOG Events to Process: ".db_num_rows($result_syslog)."\n");

    $fields = array("interface","state","username","info");

    while ($syslog_record = db_fetch_array($result_syslog)) {
	    $values = array();

	    $event_type_id = 1;  // Default event, if we have no match
	    $syslog_record[message] = trim($syslog_record[message]);

	    $query_stypes = "SELECT id, type, interface, username, state, info, match_text FROM syslog_types ORDER BY id";
	    $result_stypes = db_query($query_stypes) or die ("Query failed - SY3 - ".db_error());

	    //var_dump($syslog_record[message]);

	    while ( ($stype_rows = db_fetch_array($result_stypes))) { //loop thru all syslog_types until we find a match (or dont)

		if (strpos($stype_rows[match_text],"\S")===FALSE) //take care of legacy (non-regexp) matches
		    $stype_rows[match_text].=".+";
				
	        if (preg_match("/$stype_rows[match_text]/", $syslog_record[message], $parts)) {
	    	    $event_type_id = $stype_rows[type];
		    if (count($parts)==1) $parts=explode(" ",$parts[0]);
		    
		    //var_dump($stype_rows[match_text]);
		    break;
	        }
	    }
	    
	    //var_dump($parts);

	    if ($event_type_id == 1) //we didnt found a match, default (unknown) event
		$values["info"] = $syslog_record["message"]; //put complete message as the info
	    else {
		foreach ($fields as $field_name) { //foreach field to be completed
		    if ($stype_rows[$field_name]) { //if it has something in the db
			unset ($value);
	
			if ($stype_rows[$field_name]=="*") //complete message
			    $stype_rows[$field_name]=0; 

			if ($stype_rows[$field_name]=="D") { //only the data, no the match
			    unset ($parts[0]);
			    $value = join(" ",$parts); 
			    unset ($parts[$stype_rows[$field_name]]);
			}
			
			if (isset($parts[$stype_rows[$field_name]])) 
		    	    $value = $parts[$stype_rows[$field_name]];
			
			//else $value = "Bad index ".$stype_rows[$field_name]; //BAD INDEX (permitted because of reuse of event types)

			$values[$field_name] = $value;
		    }
		}
	    }
	    
	    //final touchs to the values
	    foreach ($fields as $field_name)
		$values[$field_name]=addslashes(trim(str_replace(",","",$values[$field_name]))); //trim them and scape the '
	    
	    //FIXME, why? do I need to add more?
	    $values["info"] = str_replace("(","",str_replace(")","",$values["info"])); //replace ( and )
		
	    $query_router="Select hosts.id from hosts where hosts.ip = '".$syslog_record["host"]."' OR hosts.name ='".$syslog_record["host"]."';"; //FIXME
	    $result_router = db_query ($query_router) or die ("Query failed - SY4 - ".db_error());
		
	    $host_id = 1; //Unknown Host
	    if (db_num_rows ($result_router) > 0) { //find the host
		$host_record = db_fetch_array($result_router);
		$host_id = $host_record["id"];
	    } 

	    //if host is unknown and event type is unknown put the host ip as the interface
	    //FIXME get a better way to include the host ip in the event when the host is unknown
	    if ($host_id == 1) {
		if ($event_type_id == 1) $values["interface"] = $syslog_record["host"];
		    else $values["info"] .= $syslog_record["host"];
	    }
	    
	    $output_text = array();
	    $output_text[] = "SYSLOG Message ID: ".$syslog_record["id"];
	    $output_text[] = "Host: $host_id";
	    
	    foreach ($fields as $field_name) 
		$output_text[]= "$field_name(".$stype_rows[$field_name]."): ".$values[$field_name];    

	    logger( join(" // ",$output_text)."\n");		

	    insert_event($syslog_record["date"],$event_type_id,$host_id,$values["interface"],strtolower($values["state"]),$values["username"],$values["info"],$syslog_record["id"]);
	    syslog_analized($syslog_record["id"]);
    }	

?>
