#!/usr/bin/perl -w
#
# Trap Receiver
#
# Copyright (C) 2002 Craig Small <csmall@small.dropbear.id.au>
# Based on trap_reciever.php by Javier Szyszlican <javier@szysz.com>
#  
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
# 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#            *
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
#

use strict;
use DBI;

my ($line, $output,$hostname,$ipaddr,%varbinds,$trapoid,$uptime,$key);
our ($db_name, $db_host, $db_user, $db_pass);
my ($insertid, $dbh, $sql, $dsn, $oidid);

sub parse_conffile() {
my $CONFFILE='/opt/jffnms/conf/config.ini';
  my $confline;

  my $found;

  open FP, $CONFFILE or die "Cannot open configuration file $CONFFILE : $!";
  $found = 0;
  while ((($found & 15) != 15) && ($confline = <FP>)) {
   if ($confline =~ /^\s+dbhost\s*=\s*(\S+)/) {
     $main::db_host = $1;
     $found |= 1;
     next;
   }
   if ($confline =~ /^\s+db\s*=\s*(\S+)/) {
     $main::db_name = $1;
     $found |= 2;
     next;
   }
   if ($confline =~ /^\s+dbuser\s*=\s*(\S+)/) {
     $main::db_user = $1;
     $found |= 4;
     next;
   }
   if ($confline =~ /^\s+dbpass\s*=\s*(\S+)/) {
     $found |= 8;
     $main::db_pass = $1;
     next;
   }
 }

}

parse_conffile();

defined($hostname = <>) or die "Cannot get hostname";
defined($ipaddr = <>) or die "Cannot get IP address";
defined($uptime = <>) or die "Cannot get System Uptime";
defined($trapoid = <>) or die "Cannot get Trap OID";

chomp($hostname);
chomp($ipaddr);
$uptime =~ s/^\S+\s+(\S+)\s*$/$1/;
$trapoid =~ s/^\S+\s+(\S+)\s*$/$1/;
$ipaddr =~ s/^udp:(\S+):.+$/$1/;
$oidid = 1;

$output =  "\n---------------------\nHost IP: $ipaddr\nUptime: $uptime\nTrap OID: $trapoid\n";

while($line = <>) { 
    chomp $line;
#    if ($line =~ /^(\S+)\s+\"?([^\" \t]+)\"?$/) { #original by csmall 
    if ($line =~ /^(\S+)\s+\"?(([^\" \t]|)(.*)[^\" \t])\"?$/) { #modified to support multiple word parameters by szysz
	$varbinds{$oidid++} = {oid=>$1,value=>$2};
    } else {
	$output .= "NotMatched: $line\n"; #debug not matched lines
    }
}

for ($key=1; $key < $oidid; $key++) {
  $output .= "OID $key: $varbinds{$key}{oid} ==> $varbinds{$key}{value}\n";
}
print $output;

$sql = "INSERT INTO traps (date, ip, trap_oid) VALUES ( now(), \"$ipaddr\", \"$trapoid\")";

$dsn = "DBI:mysql:database=$db_name;host=$db_host";
$dbh = DBI->connect($dsn, $db_user, $db_pass) or die "Cannot connect to database: $DBI::errstr \n";
$dbh->do($sql) or die "Cannot execute SQL: $DBI::errstr \n";

# Now add the varbinds
$insertid = $dbh->{'mysql_insertid'};
for ($key=1; $key < $oidid; $key++) {
  $sql = "INSERT INTO traps_varbinds (trapid, oidid, oid, value) VALUES ($insertid, $key, \"$varbinds{$key}{oid}\", \"$varbinds{$key}{value}\")";
  $dbh->do($sql) or die "Cannot execute SQL: $DBI::errstr \n";
}

$dbh->disconnect;
